from walkingliberty.utilities import decode_uri

import pytest


def test_decode_uri():
    uri = 'bitcoin:1xm4vFerV3pSgvBFkyzLgT1Ew3HQYrS1V?amount=0.1000'
    address, satoshis = decode_uri('btc', uri)
    assert address == '1xm4vFerV3pSgvBFkyzLgT1Ew3HQYrS1V'
    assert satoshis == 10000000

    # Currency doesn't match URI.
    with pytest.raises(ValueError):
        decode_uri('BITCOIN', uri)

    uri = 'bitcoincash:qq9gh20y2vur63tpe0xa5dh90zwzsuxagyhp7pfuv3?amount=1.109'
    address, satoshis = decode_uri('bch', uri)
    assert address == 'bitcoincash:qq9gh20y2vur63tpe0xa5dh90zwzsuxagyhp7pfuv3'
    assert satoshis == 110900000

    uri = 'bitcoin:1xm4vFerV3pSgvBFkyzLgT1Ew3HQYrS1V?amount=0.999999999'
    address, satoshis = decode_uri('bsv', uri)
    assert address == '1xm4vFerV3pSgvBFkyzLgT1Ew3HQYrS1V'
    assert satoshis == 99999999

    uri = 'bitcoin:1xm4vFerV3pSgvBFkyzLgT1Ew3HQYrS1V??amount=0.00128737'
    address, satoshis = decode_uri('bsv', uri)
    assert address == '1xm4vFerV3pSgvBFkyzLgT1Ew3HQYrS1V'
    print(satoshis)
    assert satoshis == 128737
